Skip to main content
GET
/
v2
/
tts
/
voices
/
{id}
Get TTS voice
curl --request GET \
  --url https://api.tryhamsa.com/v2/tts/voices/{id} \
  --header 'Authorization: <api-key>'
{
  "success": true,
  "message": "Operation completed successfully",
  "messageKey": "OPERATION_SUCCESSFUL",
  "data": {
    "id": "633f19a6-089b-4950-bfab-55f5c750732e",
    "language": "ar",
    "name": "Aisha",
    "tags": [
      "female",
      "conversational"
    ],
    "voiceRecord": "https://cdn.tryhamsa.com/tts-voices/Aisha.wav",
    "createdAt": "2025-12-18T11:21:36.182Z",
    "isFavourite": false,
    "usedInJobs": true,
    "usedInVoiceAgents": true,
    "dialectId": "6ac0324d-bcb9-40f3-a57a-de6da7b721c8",
    "dialect": {
      "name": "Oman",
      "languageCode": "oma"
    },
    "image": "https://cdn.tryhamsa.com/tts-voices-images/aisha.jpg"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tryhamsa.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Pass the API key in the Authorization header, You need to put Token keyword before the API key. e.g. 'Authorization: Token '

Path Parameters

id
string<uuid>
required

Voice identifier.

Example:

"48f7656f-098b-4c43-b165-7cfd2cc8ac30"

Query Parameters

projectId
string

Project identifier.

Example:

"ae6d58c6-c6bd-4ae0-ad74-b8b39c29928b"

Response

Voice retrieved successfully.

success
boolean
Example:

true

message
string
Example:

"Operation completed successfully"

messageKey
string
Example:

"OPERATION_SUCCESSFUL"

data
object